Loading...
Searching...
No Matches
lime::RecipientInfos< Curve > Struct Template Reference

extend the RecipientData to add a Double Ratchet session shared with the recipient More...

`#include <lime_double_ratchet.hpp>`

Inheritance diagram for lime::RecipientInfos< Curve >:

## Public Member Functions

| RecipientInfos (const std::string &deviceId, std::shared_ptr< DR< Curve > > session)
| RecipientInfos (const std::string &deviceId)
Public Member Functions inherited from lime::RecipientData
| RecipientData (const std::string &deviceId)

## Public Attributes

std::shared_ptr< DR< Curve > > | DRSession
Public Attributes inherited from lime::RecipientData
const std::string | deviceId
lime::PeerDeviceStatus | peerStatus
std::vector< uint8_t > | DRmessage

## Detailed Description

template<typename Curve>
struct lime::RecipientInfos< Curve >

extend the RecipientData to add a Double Ratchet session shared with the recipient

## Constructor & Destructor Documentation

## RecipientInfos() [1/2]

template<typename Curve>

lime::RecipientInfos< Curve >::RecipientInfos | ( | const std::string & | deviceId,
|  | std::shared_ptr< DR< Curve > > | session )

inline

The deviceId is a constant and must be provided to the constructor to instanciate the base RecipientData class.

Note
  at construction, the peerStatus is always set to unknown as this status is then overriden with actual one fetched from DB, the ones not fetched are unknown

Parameters

  [in] | deviceId | The device Id (GRUU) of this recipient, used to build the RecipientData
  [in] | session | The double ratchet session linking current device with this recipient.

## RecipientInfos() [2/2]

template<typename Curve>

lime::RecipientInfos< Curve >::RecipientInfos | ( | const std::string & | deviceId | ) |

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

forward the deviceId to the RecipientData constructor and set the DRSession pointer to nullptr

## Member Data Documentation

## DRSession

template<typename Curve>

std::shared_ptr<DR<Curve> > lime::RecipientInfos< Curve >::DRSession

DR Session to reach recipient

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/lime_double_ratchet.hpp